Check Point Advisories

ProFTPD FTP Server TELNET_IAC Stack Buffer Overflow (CVE-2010-4221)

Check Point Reference: CPAI-2012-062
Date Published: 20 Feb 2012
Severity: Critical
Last Updated: 18 Oct 2016
Source:
Industry Reference:CVE-2010-4221
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? ProFTPD Project ProFTPD prior to 1.3.3.c
Vulnerability Description A remote code injection and execution vulnerability has been reported in ProFTPD FTP Server. The vulnerability is due to an error in the way boundary checks are implemented when processing Telnet escape sequences. A remote attacker may exploit this issue by sending a specially crafted FTP command to a target server. Successful exploitation could allow an attacker to inject and execute arbitrary code in the affected server.

Protection Overview

This protection will detect and block attempts to send malformed FTP commands to the server.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the ProFTPD FTP Server TELNET_IAC Stack Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  FTP Enforcement Violation.
Attack Information:  ProFTPD FTP Server TELNET_IAC stack buffer overflow

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO